class su_ldap::config (
  $hosting_model = undef,
) {

  # Set up some directories including the ones where the databases
  # go.
  file {
    '/etc/keytab':
      ensure => directory,
      mode   => '0755';
    '/var/lib/ldap':
      ensure => directory,
      mode   => '0755';
    '/var/lib/ldap/accesslog':
      ensure => directory,
      mode   => '0755';
    '/var/run/slapd':
      ensure => directory;
  }

  # Make sure the directory that holds the cn=config ldif file exists.
  file { '/etc/ldap/slapd.d':
    ensure  => directory,
    mode    => '0755',
    require => Package['slapd'],
  }

  # The default file specifies keytab locations, ticket caches,
  # startup and library preload options and other goodies. The file
  # will set the KRB5CCNAME environment variables if the host is a
  # replica.
  file { '/etc/default/slapd':
   source => 'puppet:///modules/su_ldap/etc/default/slapd',
  }

  # Sets up log directory.
  include su_ldap::config::logging

}
