class su_ldap::packages {

  # Install the "slapd" package.
  package { 'slapd':
    ensure  => installed,
    require => File['/etc/default/slapd'],
  }

  # Install a bunch of other packages that all depend on "slapd".
  package{
    'libldap-2.4-2-dbg':
      ensure  => installed,
      require => Package['slapd'];
    'libsasl2-modules-gssapi-mit':
      ensure  => installed;
    'slapd-dbg':
      ensure  => installed,
      require => Package['slapd'];
    'ldap-utils':
      ensure  => installed,
      require => Package['slapd'];
    'libnet-ldap-perl':
      ensure  => installed,
      require => Package['slapd'];
    'libnet-ldapapi-perl':
      ensure  => installed,
      require => Package['slapd'];
  }

  # Install the package containing mdb_copy
  package { 'lmdb-utils':
    ensure => installed
  }

}
